#!/usr/bin/python

# This file is part of the Zorin Web Browser Manager program.
#
# Copyright 2016 Zorin OS Technologies Ltd.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 3, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.

import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk

class ListBoxRow(Gtk.ListBoxRow):
    def __init__ (self, image, name, widget):
        Gtk.ListBoxRow.__init__(self)

        box = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL, spacing=50)
        box.set_hexpand(True)

        info_box = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL, spacing=12)
        info_box.pack_start(image, True , True, 0)
        info_box.pack_start(Gtk.Label(name), True , True, 0)

        info_box.set_margin_start(12)
        info_box.set_margin_end(12)
        info_box.set_margin_top(16)
        info_box.set_margin_bottom(16)
        info_box.set_halign(Gtk.Align.START)
        info_box.set_valign(Gtk.Align.CENTER)
        info_box.set_hexpand(True)

        widget.set_margin_start(10)
        widget.set_margin_end(10)
        widget.set_margin_top(8)
        widget.set_margin_bottom(8)

        box.pack_start(info_box, True , True, 0)
        box.pack_end(widget, False , False, 0)

        self.add(box)

def list_box_update_header_func(row, before, user_data):
    if before == None:
        row.set_header(None)
        return

    current = row.get_header()

    if current == None:
        current = Gtk.Separator(orientation=Gtk.Orientation.HORIZONTAL)
        row.set_header(current)
